# std::experimental::pmr::synchronized_pool_resource::do_is_equal

From cppreference.com
< cpp‎ | experimental‎ | synchronized pool resource

virtual bool do_is_equal(const memory_resource& other) const; |  | (library fundamentals TS)

Compare `*this` with `other` for identity - memory allocated using a `synchronized_pool_resource` can only be deallocated using that same resource.

### Return value

this == dynamic_cast<const synchronized_pool_resource*>(&other)

### Exceptions

`noexcept` specification:
noexcept

### See also

do_is_equal [virtual] | compare for equality with another `memory_resource` (virtual protected member function of `std::experimental::pmr::memory_resource`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/synchronized_pool_resource/do_is_equal&oldid=91484"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template